version: '2'
services:

  web:
    restart: always
    build:
      context: dockerfiles/php
    volumes:
      - '/home/yois/shares/atmedo/openemr_dev:/var/www/html'
      - '/home/yois/shares/atmedo/api_openemr/dockerfiles/php/apache/php.ini:/etc/php/7.2/apache2/php.ini'
    expose:
      - '80'
    ports:
      - '8090:80'
    depends_on:
      - mysql

  laravel:
    restart: always
    build:
      context: dockerfiles/php
    volumes:
      - '/home/yois/shares/atmedo/api_openemr:/var/www/html'
    expose:
      - '80'
    ports:
      - '8091:80'
    depends_on:
      - mysql

  mysql:
    restart: always
    image: 'nicolassabater/servidor:mysql'
    volumes:
      - '/home/yois/shares/atmedo/api_openemr/baseDocker/mysql-data/:/var/lib/mysql'
    environment:
      - MYSQL_ROOT_PASSWORD=root123
    ports:
      - 33006:3306

  adminer:
    image: adminer
    volumes:
           - '/home/yois/shares/atmedo/api_openemr/dockerfiles/adminer/apache/php.ini:/usr/local/etc/php/conf.d/uploads.ini'
    restart: always
    depends_on:
      - mysql
    ports:
      - '8092:8080'
